Module org.jfree.chart3d
Package org.jfree.chart3d.style

# Class ChartStyler

java.lang.Object
org.jfree.chart3d.style.ChartStyler

All Implemented Interfaces:
  `ChartElementVisitor`

public class ChartStyler extends Object implements ChartElementVisitor
A `ChartElementVisitor` that applies a chart style to the elements of a chart.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`ChartStyler(ChartStyle style)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`styleAxis(Axis3D axis)`
Applies the current style to the axis.
`protected void`
`styleCategoryAxis(CategoryAxis3D axis)`
Applies the current style to a category axis.
`protected void`
`styleCategoryRenderer3D(CategoryRenderer3D renderer)`
Applies the current style to a category renderer.
`protected void`
`styleChart(Chart3D chart)`
Applies the current style to a chart.
`protected void`
`styleMarker(Marker marker)`
Applies the current style to a marker.
`protected void`
`stylePlot(Plot3D plot)`
Applies the current style to the plot.
`protected void`
`styleRenderer(Renderer3D renderer)`
Applies the current style to the renderer.
`protected void`
`styleValueAxis(ValueAxis3D axis)`
Applies the current style to a value axis.
`protected void`
`styleXYZRenderer(XYZRenderer renderer)`
Applies the current style to an XYZ renderer.
`void`
`visit(ChartElement element)`
Visits a chart element and applies the current style to that element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChartStyler

public ChartStyler(ChartStyle style)
Creates a new instance.

Parameters:
  `style` - the style (`null` not permitted).

## Method Details

### visit

public void visit(ChartElement element)
Visits a chart element and applies the current style to that element.

Specified by:
  `visit` in interface `ChartElementVisitor`
Parameters:
  `element` - the chart element (never `null`).

### styleChart

protected void styleChart(Chart3D chart)
Applies the current style to a chart.

Parameters:
  `chart` - the chart (`null` not permitted).

### stylePlot

protected void stylePlot(Plot3D plot)
Applies the current style to the plot.

Parameters:
  `plot` - the plot (`null` not permitted).

### styleAxis

protected void styleAxis(Axis3D axis)
Applies the current style to the axis.

Parameters:
  `axis` - the axis (`null` not permitted).

### styleCategoryAxis

protected void styleCategoryAxis(CategoryAxis3D axis)
Applies the current style to a category axis. This implementation does nothing, it is here for overriding.

Parameters:
  `axis` - the axis (`null` not permitted).

### styleValueAxis

protected void styleValueAxis(ValueAxis3D axis)
Applies the current style to a value axis. This implementation does nothing, it is here for overriding.

Parameters:
  `axis` - the axis (`null` not permitted).

### styleRenderer

protected void styleRenderer(Renderer3D renderer)
Applies the current style to the renderer.

Parameters:
  `renderer` - the renderer (`null` not permitted).

### styleCategoryRenderer3D

protected void styleCategoryRenderer3D(CategoryRenderer3D renderer)
Applies the current style to a category renderer.

Parameters:
  `renderer` - the renderer (`null` not permitted).

### styleXYZRenderer

protected void styleXYZRenderer(XYZRenderer renderer)
Applies the current style to an XYZ renderer.

Parameters:
  `renderer` - the renderer (`null` not permitted).

### styleMarker

protected void styleMarker(Marker marker)
Applies the current style to a marker.

Parameters:
  `marker` - the marker (`null` not permitted).